using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplicationWhileWithIf
{
    class Program
    {
        static void Main(string[] args)
        {
            string arithmos ="";
            int x;
            while (arithmos!= "e")
            {
                Console.WriteLine("Εισάγεται έναν αριθμό.");
                arithmos = Console.ReadLine();
                if (Int32.TryParse(arithmos, out x) )
                {
                    Console.WriteLine("Πληκτρολογήσατε τον αριθμό " + arithmos);
                }
                else
                {
                    Console.WriteLine("Δεν έχετε πληκτρολογήσει αριθμό ");
                }
               
            }

            Console.WriteLine("Εισάγεται έναν αριθμό.");
            int number;
            Int32.TryParse(Console.ReadLine(),out number);
            
            
            while (true)
            {
                int value = ++number;
                if (value < 5)
                {
                    Console.WriteLine("While-loop break");
                    break;
                }
                if (value > 5)
                {
                    Console.WriteLine("While-loop Continue");
                }
                
            }



            Console.WriteLine("Έξοδος από το πρόγραμμα.");
            Console.ReadLine();


        }
    }
}
